tailor (0.9.35+darcs20090615-1) unstable; urgency=low

  * New snapshot from upstream (Closes: #486604, #531956)
  * remove backported upstream patches
  * Bump Standards-Version to 3.8.1 (no change needed)

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 15 Jun 2009 11:06:34 +0200

tailor (0.9.35-3) unstable; urgency=low

  * Fix "fails to sync two equal type vcs repositories" (Closes: #486604)
    Thanks to Christoph Martin for reporting the bug and Lele Gaifax for
    fixing it upstream

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 15 Jun 2009 08:31:58 +0200

tailor (0.9.35-2) unstable; urgency=low

  * backport cs1629 so that bzr can compile with python2.4.
  * re-add python2.4 and hopefully stop triggering python-support bug 485740
    (Closes: #489510)
  * Bump standard-version (no change needed)

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 08 Jul 2008 20:24:58 +0200

tailor (0.9.35-1) unstable; urgency=low

  * New Upstream Version
    + various little fixes (Closes: 428552)
    + Aegis target is now able to migrate whole Tailor history

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 02 Jun 2008 15:58:07 +0200

tailor (0.9.34-1) unstable; urgency=low

  * New Upstream Versions
    0.9.31: usual fixes, init-options for darcs2
    0.9.32: various fixes, support for new darcs pull --xml-output
    0.9.33: fix backward incompatibility introduced with 0.9.32
    0.9.34: new target backend for Aegis, bzr source optimizations, several
            fixes, new 'post-commit-check' option 
    Closing bugs fixed by upstream (I successfully convert the examples
            provided by the bug submitter)
    + git source fails with current git-core (Closes: #419814)
      (creating the directory by hand is still needed but convertion occurs)
      [Note: closing this bug but opening a new one as another bug occurs]
    + Fails to convert debian-admin CVS repository to bzr (Closes: #439124)
      (creating a directory by hand is still needed but convertion occurs)
    + totally fails with git as target (Closes: #483771)
    
  * cleanup watch file
  * cleanup control file (move Homepage field, update standard version,
      cleanup lintian warning for dependencies)
      change cogito in git-core in suggests (Closes: #466952)
  * update manpage (with help2man)
  * do not build for python2.4 (syntax problem)

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 02 Jun 2008 13:43:43 +0200

tailor (0.9.30-1) unstable; urgency=low

  * New upstream release
    support recent hg and bzr (Closes: #449468)
  * [debian/copyright] Fix URL
  * [debian/control] use the new dpkg field Homepage (and remove it from the
    description)

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 06 Nov 2007 13:21:41 +0100

tailor (0.9.29-1) unstable; urgency=low

  * New upstream release
  * [debian/control] update Homepage in description (Closes: #442268)
  * [debian/copyright] GPLv3

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 14 Sep 2007 22:15:52 +0200

tailor (0.9.28-2) unstable; urgency=low

  * fix incompatibility with latest mercurial (0.9.4) (Closes: #432453)
    (thanks to Lele to point to the changeset to apply)

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 10 Jul 2007 16:08:43 +0200

tailor (0.9.28-1) unstable; urgency=low

  * New upstream release (Closes: #428294)
    [no changelog upstream... Probably many bug fixes]

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 10 Jun 2007 17:25:53 +0200

tailor (0.9.27-1) unstable; urgency=low

  * New upstream release
    Version 0.9.27 (11-dec-2006)
      + various little fixes
      + compatibility with hg >= 0.9.2 (Closes: #403810)
  * [debian/control] update Maintainer with my new email

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 20 Dec 2006 09:36:06 +0100

tailor (0.9.26-2) unstable; urgency=low

  * obsolete link to upstream repo in README.Debian (Closes: #389933)
  * manual page should point to README file (Closes: #389937)
    [thanks to Era Eriksson for theses two bugs with patch]

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Thu, 28 Sep 2006 16:41:57 +0200

tailor (0.9.26-1) unstable; urgency=low

  * New upstream releases
    Version 0.9.24 (16-aug-2006):
      + the repository module was splitted in several smaller units
      + there's support for timezones
      + various backends adapted to current version of tools
      + and the usual bunch of bugfixes.
    Version 0.9.25 (16-aug-2006):
      Brown paper bug fix release
      + there was a typo in git backend
      + and setup wasn't considering the new vcpx/repository subpackages.
    Version 0.9.26 (17-aug-2006):
      The "version numbers are cheap, bump them often" release

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Mon, 21 Aug 2006 18:20:18 +0200

tailor (0.9.23-4) unstable; urgency=low

  * recent versions of mercurial changes its API a little. Backport fix
    from upstream tailor (thanks to Laurent Fousse and Dmitriyi Paduchikh
    to identify and report the problem) (Closes: #381220, #381289)
  * [debian/control] add a conflict against mercurial << 0.9.1

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Wed,  9 Aug 2006 13:20:51 +0200

tailor (0.9.23-3) unstable; urgency=low

  * cleanup diff.gz (removing old unused files)

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Tue, 11 Jul 2006 22:21:24 +0200

tailor (0.9.23-2) unstable; urgency=low

  * Update to the new python policy
  * tailor should recommend rsync (Closes: #374523)

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Tue,  4 Jul 2006 01:01:27 +0200

tailor (0.9.23-1) unstable; urgency=low

  * New upstream release (Closes: #369022)
    - again several major changes
    - most notably preserve the hunks order
    - workaround to darcs changes --xml out of order output.
  * [debian/rules] call dh_python with the "-V 2.4" argument

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Sun, 28 May 2006 17:54:56 +0200

tailor (0.9.22-3) unstable; urgency=low

  * [debian/copyright] add copyright for Debian packaging

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Wed, 17 May 2006 00:45:07 +0200

tailor (0.9.22-2) unstable; urgency=low

  * Dump debhelper compat level to 5 (no changes required)
  * Close bugs fixed in the 0.9.22 release:
    - baz import fails because of spurious command line option
      (Closes: #365275)
    - AttributeError: 'BzrBranch' object has no attribute 'get_inventory'
      (Closes: #354164)
    - Import fails when a CVS repo contains locks (Closes: #360076)
    - heads up: working_tree() to be deprecated (Closes: #353143)

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Sun, 14 May 2006 21:20:13 +0200

tailor (0.9.22-1) unstable; urgency=low

  * New upstream release
    - lots of major changes
    - monotone 0.26
    - bazaar-ng 0.8
    - dropped mercurial CLI backend replaced by former hglib
    - dropped obsolete and incomplete svndump
  * Dump to Standard-Version 3.7.2 (no changes required)

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Sun, 14 May 2006 21:10:57 +0200

tailor (0.9.21-2) unstable; urgency=low

  * Fix Build-Depends/Build-Depends-Indep as some packages are needed in the
    clean target

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Tue, 25 Apr 2006 16:16:04 +0200

tailor (0.9.21-1) unstable; urgency=low

  * New upstream release
    - lots of mostly minor changes and fixes, mostly to svn, bzrng and hg
      backends.

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Wed, 19 Apr 2006 00:34:22 +0200

tailor (0.9.20-4) unstable; urgency=low

  * Several fixes so that hglib works this hg 0.8.1

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Mon, 17 Apr 2006 12:53:12 +0200

tailor (0.9.20-3) unstable; urgency=low

  * Fix split in revision strings for CVS repo containing locks. Thanks
    Lauri Alanko (Closes: #360076)

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Mon, 10 Apr 2006 22:33:11 +0200

tailor (0.9.20-2) unstable; urgency=low

  * fix typo in long description 

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Tue,  4 Apr 2006 03:33:08 +0200

tailor (0.9.20-1) unstable; urgency=low

  * New upstream release
   - Git and Mercurial can be used as source
   - Several fixes to various backends
  * Add patch from martin f. krafft <madduck@debian.org> for baz->tla
    conversion (already submitted upstream, see #353139)

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Tue, 28 Feb 2006 17:01:33 +0100

tailor (0.9.19-4) unstable; urgency=low

  * update watch file and copyright to reflect new upstream site

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Fri, 17 Feb 2006 00:16:59 +0100

tailor (0.9.19-3) unstable; urgency=low

  * Apply patch from martin f. krafft <madduck@debian.org> so that tailor
    works with new version of bzr (Closes: #352162)
  * Conflict with bzr << 7.0
  * The patch from martin should also close the bug "AttributeError: '_Branch'
    object has no attribute 'remove'". If it is not the case, reopen it (and
    send me enought information to reproduce it, please. (Closes: #339823)

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Thu, 16 Feb 2006 16:22:09 +0100

tailor (0.9.19-2) unstable; urgency=low

  * update build-depends : python2.4-dev does not depend on python.
    So both are needed.

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Thu, 16 Feb 2006 14:11:28 +0100

tailor (0.9.19-1) unstable; urgency=low

  * New upstream release
   - Incremental xml parsers for svn and darcs
   - Revamped logging subsystem
   - Several fixes to various backends
   - Generalized handling of replaced entries 

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Thu,  1 Dec 2005 19:37:12 +0100

tailor (0.9.18-2) unstable; urgency=low

  * force to compile with python2.4 as this is required for bzr backend

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Thu, 17 Nov 2005 22:59:36 +0100

tailor (0.9.18-1) unstable; urgency=low

  * New upstream release
   - The command line based Bazaar-NG is gone, replaced by the bzrlib based one.
   - Reorganized test suite
   - Preliminary support for tags under CVS and Darcs, thanks to Aaron Kaplan.
   - Fixed handling of "rename+replace".
   - More streamy in particular at bootstrap time.
   - Bazaar-NG specific optimization and fixes: source backend passes the tests.

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Tue, 18 Oct 2005 08:43:24 +0200

tailor (0.9.17-1) unstable; urgency=low

  * New upstream release
    - new source support for Bazaar-NG, thanks to Jelmer Vernooij.
    - several bug fixes, in almost all backends
    - new home for tailor's trac: http://progetti.arstecnica.it/tailor 

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Sat, 15 Oct 2005 11:35:21 +0200

tailor (0.9.16-1) unstable; urgency=low

  * New upstream release
  * Adding a README.Debian to explain while tailor test -v does not
    work with Debian package (Closes: #330133)

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Tue, 27 Sep 2005 00:58:54 +0200

tailor (0.9.15-1) unstable; urgency=low

  * New upstream release (a bit delayed due to a crash disk and a new job)
    (Closes: #325755)
  * converting from svn gives python error: NameError: global name
    'ConfigurationError' is not defined (Closes: #325566)
    Upstream seems to have corrected this bug. If it is not the case, please
    reopen this bug.

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Sat, 17 Sep 2005 17:32:08 +0200

tailor (0.9.5-1) unstable; urgency=low

  * New upstream release

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Wed, 17 Aug 2005 12:59:54 +0200

tailor (0.8-3) unstable; urgency=low

  * Improving the package (thanks to Daniel Kobras <kobras@debian.org>)
    - Adds proper python dependencies.
    - Removes superfluous substvars ${shlibs:Depends} and ${misc:Depends}.
    - Suggests all supported version control systems.
    - Includes a description that's more geared towards end-users.
    - Prevents an empty /usr/sbin from being included in the package.
  * Closes: #322377: Python dependency needs to be versioned.

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Wed, 17 Aug 2005 10:22:14 +0200

tailor (0.8-2) unstable; urgency=low

  * Cleaning build-dep as I do not use cdbs to calculate it on fly

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Wed, 20 Jul 2005 10:36:06 +0200

tailor (0.8-1) unstable; urgency=low

  * Initial release. (Closes: #315752: ITP: tailor -- Tool to keep in
    sync various kinds of repository (CVS, SVN, ...))

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Sun, 17 Jul 2005 21:39:54 +0200
